/**
 * Provides two algorithms for resolving the distinguished name (DN) of an LDAP 
 * directory object based on a particular input value.
 *
 * <ul>
 *     <li>{@link com.nimbusds.ldap.dnresolver.TemplateResolver}
 *         Resolution by simple template substitution.
 *     <li>{@link com.nimbusds.ldap.dnresolver.SearchResolver} 
 *         Resolution through LDAP search operation.
 * </ul>
 *
 * <p>The original purpose of this package is to resolve user DNs in login / 
 * sign-on applications that make use of a back-end LDAP directory for user 
 * authentication. The DN resolution is typically done through a unique user
 * attribute such as their email address, name or ID.
 *
 * <p>This package requires the UnboundID LDAP SDK, version 2.3.0 or higher.
 *
 * @author Vladimir Dzhuvinov
 */
package com.nimbusds.ldap.dnresolver;
